org.keycloak.adapters.jetty

## Class AbstractJettyRequestAuthenticator

- java.lang.Object
- - org.keycloak.adapters.RequestAuthenticator
  - - org.keycloak.adapters.jetty.AbstractJettyRequestAuthenticator

- Direct Known Subclasses:
    JettyRequestAuthenticator

      public abstract class AbstractJettyRequestAuthenticator
      extends RequestAuthenticator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `__J_METHOD`
    `protected static org.jboss.logging.Logger` | `log`
    `protected KeycloakPrincipal<RefreshableKeycloakSecurityContext>` | `principal`
    `protected org.eclipse.jetty.server.Request` | `request`
    `protected AbstractKeycloakJettyAuthenticator` | `valve`

    - ### Fields inherited from class org.keycloak.adapters.RequestAuthenticator

      `challenge, deployment, facade, sslRedirectPort, tokenStore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJettyRequestAuthenticator(HttpFacade facade, KeycloakDeployment deployment, AdapterTokenStore tokenStore, int sslRedirectPort, AbstractKeycloakJettyAuthenticator valve, org.eclipse.jetty.server.Request request)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `completeBearerAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal, String method)`
    `protected void` | `completeOAuthAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> skp)`
    `protected OAuthRequestAuthenticator` | `createOAuthAuthenticator()`
    `protected abstract org.eclipse.jetty.util.MultiMap<String>` | `extractFormParameters(org.eclipse.jetty.server.Request base_request)`
    `protected String` | `getHttpSessionId(boolean create)`
    `protected abstract void` | `restoreFormParameters(org.eclipse.jetty.util.MultiMap<String> j_post, org.eclipse.jetty.server.Request base_request)`
    `protected void` | `restoreRequest()`
    `protected void` | `saveServletRequest()`

    - ### Methods inherited from class org.keycloak.adapters.RequestAuthenticator

      `authenticate, completeAuthentication, completeAuthentication, createBasicAuthAuthenticator, createBearerTokenAuthenticator, getChallenge, verifySSL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __J_METHOD

          public static final String __J_METHOD

      See Also:
        Constant Field Values

    - #### log

          protected static final org.jboss.logging.Logger log

    - #### valve

          protected AbstractKeycloakJettyAuthenticator valve

    - #### request

          protected org.eclipse.jetty.server.Request request

    - #### principal

          protected KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal

  - ### Constructor Detail

    - #### AbstractJettyRequestAuthenticator

          public AbstractJettyRequestAuthenticator(HttpFacade facade,
                                           KeycloakDeployment deployment,
                                           AdapterTokenStore tokenStore,
                                           int sslRedirectPort,
                                           AbstractKeycloakJettyAuthenticator valve,
                                           org.eclipse.jetty.server.Request request)

  - ### Method Detail

    - #### createOAuthAuthenticator

          protected OAuthRequestAuthenticator createOAuthAuthenticator()

      Specified by:
        `createOAuthAuthenticator` in class `RequestAuthenticator`

    - #### completeOAuthAuthentication

          protected void completeOAuthAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> skp)

      Specified by:
        `completeOAuthAuthentication` in class `RequestAuthenticator`

    - #### completeBearerAuthentication

          protected void completeBearerAuthentication(KeycloakPrincipal<RefreshableKeycloakSecurityContext> principal,
                                          String method)

      Specified by:
        `completeBearerAuthentication` in class `RequestAuthenticator`

    - #### restoreRequest

          protected void restoreRequest()

    - #### getHttpSessionId

          protected String getHttpSessionId(boolean create)

      Specified by:
        `getHttpSessionId` in class `RequestAuthenticator`

    - #### saveServletRequest

          protected void saveServletRequest()

    - #### extractFormParameters

          protected abstract org.eclipse.jetty.util.MultiMap<String> extractFormParameters(org.eclipse.jetty.server.Request base_request)

    - #### restoreFormParameters

          protected abstract void restoreFormParameters(org.eclipse.jetty.util.MultiMap<String> j_post,
                                   org.eclipse.jetty.server.Request base_request)

Copyright © 2014. All Rights Reserved.